--- a/driver/lock.c	2019-05-17 23:58:59.000000000 -0400
+++ b/driver/lock.c	2019-11-13 02:21:28.057783915 -0500
@@ -2209,6 +2209,14 @@
  END:
   if (si->pw_data)
     destroy_passwd_window (si);
+  /* If we are blanking only, optionally power down monitor right now. */
+  if (si->prefs.mode == BLANK_ONLY &&
+      si->prefs.dpms_enabled_p && 
+      si->prefs.dpms_quickoff_p)
+    {
+      usleep(200000);  /* pause for something that wakes up after cancel */
+      monitor_power_on (si, False);
+    }
 }
 
 
